Index: /trunk/src/bp-core/classes/class-bp-media-extractor.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-media-extractor.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-media-extractor.php	(revision 10012)
@@ -13,4 +13,6 @@
  * Extracts media from text. Use {@link extract()}.
  *
+ * @since BuddyPress (2.3.0)
+ *
  * The supported types are links, mentions, images, shortcodes, embeds, audio, video, and "all".
  * This is what each type extracts:
@@ -18,8 +20,8 @@
  * Links:      <a href="http://example.com">
  * Mentions:   @name
- *             If the Activity component is enabled, we use it to parse out any @names. A consequence
+ *             If the Activity component is enabled, we use it to parse out any at-names. A consequence
  *             to note is that the "name" mentioned must match a real user account. If it's a made-up
- *             @name, then it isn't extracted.
- *             If the Activity component is disabled, any @name is extracted (both those matching
+ *             at-name, then it isn't extracted.
+ *             If the Activity component is disabled, any at-name is extracted (both those matching
  *             real accounts, and those made-up).
  * Images:     <img src="image.gif">, [gallery], [gallery ids="2,3"], featured images (Post thumbnails).
@@ -35,5 +37,4 @@
  *
  * @see BP_Media_Extractor::extract() Use this to extract media.
- * @since BuddyPress (2.3.0)
  */
 class BP_Media_Extractor {
@@ -57,7 +58,10 @@
 	 * Extract media from text.
 	 *
-	 * @param string|WP_Post $richtext Content to parse.
-	 * @param int $what_to_extract Media type to extract (optional).
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string|WP_Post $richtext        Content to parse.
+	 * @param int            $what_to_extract Media type to extract (optional).
+	 * @param array          $extra_args      Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -74,5 +78,5 @@
 	 *
 	 *         @type string $source Media source. Either "html" or "shortcodes".
-	 *         @type string $url Link to audio.
+	 *         @type string $url    Link to audio.
 	 *     }
 	 *     @type array $embeds Extracted oEmbeds. {
@@ -84,9 +88,9 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type int $gallery_id Gallery ID. Optional, not always set.
-	 *         @type int $height Width of image. If unknown, set to 0.
-	 *         @type string $source Media source. Either "html" or "galleries".
-	 *         @type string $url Link to image.
-	 *         @type int $width Width of image. If unknown, set to 0.
+	 *         @type int    $gallery_id Gallery ID. Optional, not always set.
+	 *         @type int    $height     Width of image. If unknown, set to 0.
+	 *         @type string $source     Media source. Either "html" or "galleries".
+	 *         @type string $url        Link to image.
+	 *         @type int    $width      Width of image. If unknown, set to 0.
 	 *     }
 	 *     @type array $links Extracted URLs. {
@@ -98,5 +102,5 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type string $name @mention.
+	 *         @type string $name    @mention.
 	 *         @type string $user_id User ID. Optional, only set if Activity component enabled.
 	 *     }
@@ -104,8 +108,8 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type array $attributes Key/value pairs of the shortcodes attributes (if any).
-	 *         @type string $content Text wrapped by the shortcode.
-	 *         @type string $type Shortcode type.
-	 *         @type string $original The entire shortcode.
+	 *         @type array  $attributes Key/value pairs of the shortcodes attributes (if any).
+	 *         @type string $content    Text wrapped by the shortcode.
+	 *         @type string $type       Shortcode type.
+	 *         @type string $original   The entire shortcode.
 	 *     }
 	 *     @type array $videos Extracted video. {
@@ -113,8 +117,7 @@
 	 *
 	 *         @type string $source Media source. Currently only "shortcodes".
-	 *         @type string $url Link to audio.
+	 *         @type string $url    Link to audio.
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	public function extract( $richtext, $what_to_extract = self::ALL, $extra_args = array() ) {
@@ -168,10 +171,11 @@
 		 * Filters media extracted from text.
 		 *
-		 * @param array $media Extracted media. See {@link BP_Media_Extractor::extract()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param int $what_to_extract Media type to extract.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $media           Extracted media. See {@link BP_Media_Extractor::extract()} for format.
+		 * @param string $richtext        Content to parse.
+		 * @param int    $what_to_extract Media type to extract.
+		 * @param array  $extra_args      Bespoke data for a particular extractor.
+		 * @param string $plaintext       Copy of $richtext without any markup.
 		 */
 		return apply_filters( 'bp_media_extractor_extract', $media, $richtext, $what_to_extract, $extra_args, $plaintext );
@@ -188,7 +192,10 @@
 	 * Extract `<a href>` tags from text.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -201,5 +208,4 @@
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_links( $richtext, $plaintext, $extra_args = array() ) {
@@ -228,9 +234,10 @@
 		 * Filters links extracted from text.
 		 *
-		 * @param array $data Extracted links. See {@link BP_Media_Extractor::extract_links()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted links. See {@link BP_Media_Extractor::extract_links()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_links', $data, $richtext, $plaintext, $extra_args );
@@ -245,7 +252,10 @@
 	 * If the Activity component is disabled, any @mentions are extracted.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor.
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor.
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -255,9 +265,8 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type string $name @mention.
+	 *         @type string $name    @mention.
 	 *         @type string $user_id User ID. Optional, only set if Activity component enabled.
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_mentions( $richtext, $plaintext, $extra_args = array() ) {
@@ -300,9 +309,10 @@
 		 * Filters @mentions extracted from text.
 		 *
-		 * @param array $data Extracted @mentions. See {@link BP_Media_Extractor::extract_mentions()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor (optional).
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted @mentions. See {@link BP_Media_Extractor::extract_mentions()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor (optional).
 		 */
 		return apply_filters( 'bp_media_extractor_mentions', $data, $richtext, $plaintext, $extra_args );
@@ -314,7 +324,10 @@
 	 * If an image is in the Media Library, then its resolution is included in the results.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -324,12 +337,11 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type int $gallery_id Gallery ID. Optional, not always set.
-	 *         @type int $height Width of image. If unknown, set to 0.
-	 *         @type string $source Media source. Either "html" or "galleries".
-	 *         @type string $url Link to image.
-	 *         @type int $width Width of image. If unknown, set to 0.
+	 *         @type int    $gallery_id Gallery ID. Optional, not always set.
+	 *         @type int    $height     Width of image. If unknown, set to 0.
+	 *         @type string $source     Media source. Either "html" or "galleries".
+	 *         @type string $url        Link to image.
+	 *         @type int    $width      Width of image. If unknown, set to 0.
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_images( $richtext, $plaintext, $extra_args = array() ) {
@@ -416,9 +428,10 @@
 		 * Filters images extracted from text.
 		 *
-		 * @param array $media Extracted images. See {@link BP_Media_Extractor::extract_images()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $media      Extracted images. See {@link BP_Media_Extractor::extract_images()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_images', $media, $richtext, $plaintext, $extra_args );
@@ -431,7 +444,10 @@
 	 * For example, [gallery] and [audio].
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -441,11 +457,10 @@
 	 *         Array of extracted media.
 	 *
-	 *         @type array $attributes Key/value pairs of the shortcodes attributes (if any).
-	 *         @type string $content Text wrapped by the shortcode.
-	 *         @type string $type Shortcode type.
-	 *         @type string $original The entire shortcode.
+	 *         @type array  $attributes Key/value pairs of the shortcodes attributes (if any).
+	 *         @type string $content    Text wrapped by the shortcode.
+	 *         @type string $type       Shortcode type.
+	 *         @type string $original   The entire shortcode.
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_shortcodes( $richtext, $plaintext, $extra_args = array() ) {
@@ -477,9 +492,11 @@
 		 * Filters shortcodes extracted from text.
 		 *
-		 * @param array $data Extracted shortcodes. See {@link BP_Media_Extractor::extract_shortcodes()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted shortcodes.
+		 *                           See {@link BP_Media_Extractor::extract_shortcodes()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_shortcodes', $data, $richtext, $plaintext, $extra_args );
@@ -489,7 +506,10 @@
 	 * Extract any URL, matching a registered oEmbed endpoint, from text.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -502,5 +522,4 @@
 	 *     }
 	 * }
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_embeds( $richtext, $plaintext, $extra_args = array() ) {
@@ -552,9 +571,10 @@
 		 * Filters embeds extracted from text.
 		 *
-		 * @param array $data Extracted embeds. See {@link BP_Media_Extractor::extract_embeds()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted embeds. See {@link BP_Media_Extractor::extract_embeds()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_embeds', $data, $richtext, $plaintext, $extra_args );
@@ -564,7 +584,12 @@
 	 * Extract [audio] shortcodes and `<a href="*.mp3">` tags, from text.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @see wp_get_audio_extensions() for supported audio formats.
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -575,10 +600,8 @@
 	 *
 	 *         @type string $original The entire shortcode.
-	 *         @type string $source Media source. Either "html" or "shortcodes".
-	 *         @type string $url Link to audio.
+	 *         @type string $source   Media source. Either "html" or "shortcodes".
+	 *         @type string $url      Link to audio.
 	 *     }
 	 * }
-	 * @see wp_get_audio_extensions() for supported audio formats.
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_audio( $richtext, $plaintext, $extra_args = array() ) {
@@ -646,9 +669,10 @@
 		 * Filters audio extracted from text.
 		 *
-		 * @param array $data Extracted audio. See {@link BP_Media_Extractor::extract_audio()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted audio. See {@link BP_Media_Extractor::extract_audio()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_audio', $data, $richtext, $plaintext, $extra_args );
@@ -658,7 +682,12 @@
 	 * Extract [video] shortcodes from text.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @see wp_get_video_extensions() for supported video formats.
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array {
 	 *     @type array $has Extracted media counts. {
@@ -669,9 +698,7 @@
 	 *
 	 *         @type string $source Media source. Currently only "shortcodes".
-	 *         @type string $url Link to audio.
+	 *         @type string $url    Link to audio.
 	 *     }
 	 * }
-	 * @see wp_get_video_extensions() for supported video formats.
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_video( $richtext, $plaintext, $extra_args = array() ) {
@@ -718,9 +745,10 @@
 		 * Filters videos extracted from text.
 		 *
-		 * @param array $data Extracted videos. See {@link BP_Media_Extractor::extract_videos()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $data       Extracted videos. See {@link BP_Media_Extractor::extract_videos()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_videos', $data, $richtext, $plaintext, $extra_args );
@@ -735,9 +763,11 @@
 	 * Extract images in [galleries] shortcodes from text.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Bespoke data for a particular extractor (optional).
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Bespoke data for a particular extractor (optional).
+	 *
 	 * @return array
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_images_from_galleries( $richtext, $plaintext, $extra_args = array() ) {
@@ -820,9 +850,10 @@
 		 * Filters image galleries extracted from text.
 		 *
-		 * @param array $galleries_data Galleries. See {@link BP_Media_Extractor::extract_images_from_galleries()}.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $galleries_data Galleries. See {@link BP_Media_Extractor::extract_images_from_galleries()}.
+		 * @param string $richtext       Content to parse.
+		 * @param string $plaintext      Copy of $richtext without any markup.
+		 * @param array  $extra_args     Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_galleries', $galleries_data, $richtext, $plaintext, $extra_args );
@@ -832,9 +863,11 @@
 	 * Extract the featured image from a Post.
 	 *
-	 * @param string $richtext Content to parse.
-	 * @param string $plaintext Sanitized version of the content.
-	 * @param array $extra_args Contains data that an implementation might need beyond the defaults.
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param string $richtext   Content to parse.
+	 * @param string $plaintext  Sanitized version of the content.
+	 * @param array  $extra_args Contains data that an implementation might need beyond the defaults.
+	 *
 	 * @return array
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function extract_images_from_featured_images( $richtext, $plaintext, $extra_args ) {
@@ -869,9 +902,10 @@
 		 * Filters featured images extracted from a WordPress Post.
 		 *
-		 * @param array $image Extracted images. See {@link BP_Media_Extractor_Post::extract_images()} for format.
-		 * @param string $richtext Content to parse.
-		 * @param string $plaintext Copy of $richtext without any markup.
-		 * @param array $extra_args Bespoke data for a particular extractor.
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $image      Extracted images. See {@link BP_Media_Extractor_Post::extract_images()} for format.
+		 * @param string $richtext   Content to parse.
+		 * @param string $plaintext  Copy of $richtext without any markup.
+		 * @param array  $extra_args Bespoke data for a particular extractor.
 		 */
 		return apply_filters( 'bp_media_extractor_featured_images', $image, $richtext, $plaintext, $extra_args );
@@ -883,7 +917,9 @@
 	 * HTML tags and shortcodes are removed, and HTML entities are decoded.
 	 *
+	 * @since BuddyPress (2.3.0)
+	 *
 	 * @param string $richtext
+	 *
 	 * @return string
-	 * @since BuddyPress (2.3.0)
 	 */
 	protected function strip_markup( $richtext ) {
@@ -893,7 +929,8 @@
 		 * Filters the generated plain text version of the content passed to the extractor.
 		 *
-		 * @param array $plaintext Generated plain text.
-		 * @param string $richtext Original content
-		 * @since BuddyPress (2.3.0)
+		 * @since BuddyPress (2.3.0)
+		 *
+		 * @param array  $plaintext Generated plain text.
+		 * @param string $richtext  Original content.
 		 */
 		return apply_filters( 'bp_media_extractor_strip_markup', $plaintext, $richtext );
Index: /trunk/src/bp-core/classes/class-bp-members-suggestions.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-members-suggestions.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-members-suggestions.php	(revision 10012)
@@ -25,8 +25,8 @@
 	 * @since BuddyPress (2.1.0)
 	 * @var array $args {
-	 *     @type int $limit Maximum number of results to display. Default: 16.
-	 *     @type bool $only_friends If true, only match the current user's friends. Default: false.
-	 *     @type string $term The suggestion service will try to find results that contain this string.
-	 *           Mandatory.
+	 *     @type int    $limit        Maximum number of results to display. Default: 16.
+	 *     @type bool   $only_friends If true, only match the current user's friends. Default: false.
+	 *     @type string $term         The suggestion service will try to find results that contain this string.
+	 *                                Mandatory.
 	 * }
 	 */
@@ -42,6 +42,7 @@
 	 * Validate and sanitise the parameters for the suggestion service query.
 	 *
+	 * @since BuddyPress (2.1.0)
+	 *
 	 * @return true|WP_Error If validation fails, return a WP_Error object. On success, return true (bool).
-	 * @since BuddyPress (2.1.0)
 	 */
 	public function validate() {
@@ -77,6 +78,7 @@
 	 * Find and return a list of username suggestions that match the query.
 	 *
+	 * @since BuddyPress (2.1.0)
+	 *
 	 * @return array|WP_Error Array of results. If there were problems, returns a WP_Error object.
-	 * @since BuddyPress (2.1.0)
 	 */
 	public function get_suggestions() {
Index: /trunk/src/bp-core/classes/class-bp-recursive-query.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-recursive-query.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-recursive-query.php	(revision 10012)
@@ -38,6 +38,4 @@
 	 * @access protected
 	 *
-	 * @param  string $primary_table
-	 * @param  string $primary_id_column
 	 * @return array
 	 */
@@ -144,5 +142,6 @@
 	 * @access public
 	 *
-	 * @param  array $queries Array of query clauses.
+	 * @param array $queries Array of query clauses.
+	 *
 	 * @return array Sanitized array of query clauses.
 	 */
@@ -211,6 +210,7 @@
 	 * @access protected
 	 *
-	 * @param  array $clause       Array of arguments belonging to the clause.
-	 * @param  array $parent_query Parent query to which the clause belongs.
+	 * @param array $clause       Array of arguments belonging to the clause.
+	 * @param array $parent_query Parent query to which the clause belongs.
+	 *
 	 * @return array {
 	 *     @type array $join  Array of subclauses for the JOIN statement.
@@ -228,5 +228,6 @@
 	 * @access protected
 	 *
-	 * @param  array $q Clause to check.
+	 * @param array $query Clause to check.
+	 *
 	 * @return bool
 	 */
Index: /trunk/src/bp-core/classes/class-bp-suggestions.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-suggestions.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-suggestions.php	(revision 10012)
@@ -70,8 +70,8 @@
 	 *
 	 * @param array $args {
-	 *     @type int $limit Maximum number of results to display. Optional, default: 16.
-	 *     @type string $type The name of the suggestion service to use for the request. Mandatory.
-	 *     @type string $term The suggestion service will try to find results that contain this string.
-	 *           Mandatory.
+	 *     @type int    $limit Maximum number of results to display. Optional, default: 16.
+	 *     @type string $type  The name of the suggestion service to use for the request. Mandatory.
+	 *     @type string $term  The suggestion service will try to find results that contain this string.
+	 *                         Mandatory.
 	 * }
 	 * @since BuddyPress (2.1.0)
@@ -87,6 +87,7 @@
 	 * If validation fails, you must return a WP_Error object.
 	 *
+	 * @since BuddyPress (2.1.0)
+	 *
 	 * @return true|WP_Error If validation fails, return a WP_Error object. On success, return true (bool).
-	 * @since BuddyPress (2.1.0)
 	 */
 	public function validate() {
@@ -134,6 +135,7 @@
 	 * For example: { 'ID': 'admin', 'image': 'http://example.com/logo.png', 'name': 'Name Surname' }
 	 *
+	 * @since BuddyPress (2.1.0)
+	 *
 	 * @return array|WP_Error Array of results. If there were problems, returns a WP_Error object.
-	 * @since BuddyPress (2.1.0)
 	 */
 	abstract public function get_suggestions();
Index: /trunk/src/bp-core/classes/class-bp-user-query.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-user-query.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-user-query.php	(revision 10012)
@@ -42,5 +42,5 @@
  *     @type array|string      $member_type__in     Array or comma-separated list of member types to limit results to.
  *     @type array|string      $member_type__not_in Array or comma-separated list of member types that will be
- *			                            excluded from results.
+ *			                                             excluded from results.
  *     @type string|bool       $meta_key            Limit results to users that have usermeta associated with this meta_key.
  *                                                  Usually used with $meta_value. Default: false.
@@ -619,8 +619,9 @@
 	 * @since BuddyPress (1.8.0)
 	 *
-	 * @param array Sanitized array of user IDs, as passed to the 'include'
-	 *        parameter of the class constructor.
+	 * @param array $include Sanitized array of user IDs, as passed to the 'include'
+	 *                       parameter of the class constructor.
+	 *
 	 * @return array The list of users to which the main query should be
-	 *         limited.
+	 *               limited.
 	 */
 	public function get_include_ids( $include = array() ) {
@@ -759,4 +760,6 @@
 	 * @param string|array $member_types Array or comma-separated list of member types.
 	 * @param string       $operator     'IN' or 'NOT IN'.
+	 *
+	 * @return string
 	 */
 	protected function get_sql_clause_for_member_types( $member_types, $operator ) {
Index: /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-walker-nav-menu-checklist.php	(revision 10012)
@@ -14,5 +14,5 @@
  *
  * Borrowed heavily from {@link Walker_Nav_Menu_Checklist}, but modified so as not
- * to require an actual post type or taxonomy, and to force certain CSS classes
+ * to require an actual post type or taxonomy, and to force certain CSS classes.
  *
  * @since BuddyPress (1.9.0)
@@ -25,5 +25,5 @@
 	 * @see Walker_Nav_Menu::__construct() for a description of parameters.
 	 *
-	 * @param array $fields See {@link Walker_Nav_Menu::__construct()}.
+	 * @param array|bool $fields See {@link Walker_Nav_Menu::__construct()}.
 	 */
 	public function __construct( $fields = false ) {
@@ -39,6 +39,6 @@
 	 *
 	 * @param string $output See {@Walker_Nav_Menu::start_lvl()}.
-	 * @param int $depth See {@Walker_Nav_Menu::start_lvl()}.
-	 * @param array $args See {@Walker_Nav_Menu::start_lvl()}.
+	 * @param int    $depth  See {@Walker_Nav_Menu::start_lvl()}.
+	 * @param array  $args   See {@Walker_Nav_Menu::start_lvl()}.
 	 */
 	public function start_lvl( &$output, $depth = 0, $args = array() ) {
@@ -53,6 +53,6 @@
 	 *
 	 * @param string $output See {@Walker_Nav_Menu::end_lvl()}.
-	 * @param int $depth See {@Walker_Nav_Menu::end_lvl()}.
-	 * @param array $args See {@Walker_Nav_Menu::end_lvl()}.
+	 * @param int    $depth  See {@Walker_Nav_Menu::end_lvl()}.
+	 * @param array  $args   See {@Walker_Nav_Menu::end_lvl()}.
 	 */
 	public function end_lvl( &$output, $depth = 0, $args = array() ) {
@@ -66,10 +66,10 @@
 	 * @see Walker::start_el() for description of parameters.
 	 *
-	 * @param string $output Passed by reference. Used to append additional
-	 *        content.
-	 * @param object $item Menu item data object.
-	 * @param int $depth Depth of menu item. Used for padding.
-	 * @param object $args See {@Walker::start_el()}.
-	 * @param int $id See {@Walker::start_el()}.
+	 * @param string       $output Passed by reference. Used to append additional
+	 *                             content.
+	 * @param object       $item   Menu item data object.
+	 * @param int          $depth  Depth of menu item. Used for padding.
+	 * @param object|array $args   See {@Walker::start_el()}.
+	 * @param int          $id     See {@Walker::start_el()}.
 	 */
 	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
